Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001285TestLinkDocumentation (Install, User Manual, help)public2008-01-12 19:232008-11-07 19:45
ReporterMochizuki 
Assigned Tomhavlat 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPC/AT CompatibleOSWindowsOS VersionXP Pro
Product Version1.7.3 
Fixed in Version1.8 Beta 2 
Summary0001285: Description for 'Migration from 1.6.2 to 1.7.0' does not exists on ICG manual.
DescriptionI assume that we HAVE TO select 'Migration from 1.6.2 to 1.7.0' whenever we upgrade 1.6.x to 1.7.x, due to some defects or something like that.
But, there is no description about it on ICG manual.
This may result in every user select 'Upgrade Installation'.

So, I suggest to add the description to next revision.
Steps To Reproduce1. Open "Installation and Configuration" manual (CVS revision 1.5)
2. Look at chapter 3.4.2.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0002929)
fman (administrator)
2008-01-13 23:22

Users must learn to read carefully on screen instructions.
(0003945)
mhavlat (reporter)
2008-08-07 21:46

Reminder sent to: fman

Francisco, I do not understand the installation menu. What is difference between 'Upgrade Installation' and 'Migration from 1.7.2 (or greater) to 1.8.0' link. Do we need to run both?
Thanks.
(0003946)
fman (administrator)
2008-08-07 22:17

While doing install users see several options:

TestLink Setup

- New installation
- Upgrade Database
- Migration from 1.6.2 to 1.7.x
- Migration from 1.7.2 (or greater) to 1.8.0
- Access README for install/upgrade details <<<<<<<< !!!!!!!!!!!!!!

"Access README for install/upgrade details" option
opens a text file with information about upgrade and migration.

in few words:
migration: major version differs ( 1.6.x to 1.7.x)
upgrade: same major version, different minor (1.7.3 -> 1.7.5)

here original text:
-----------------------------------------------------------------------------
5. Upgrade and Migration
===============================================================
When accessing Installer page you will found following options:

 - New Installation
 - Upgrade Database
 - Migration from 1.6.2 to 1.7.x
 - Migration from 1.7.2 (or greater) to 1.8.0

 Steps
 - Make a Backup of yor current database.
 - Using a NEW DIRECTORY (DO NOT OVERWRITE your old installation), do only
   following steps from Install procedure:
                                           Tranfer files
                                           Uncompress files
 - Copy your old config_db.inc.php to NEW DIRECTORY.
 - Launch TestLink
 - TestLink will check Database version, and if some upgrade/migration is needed
   will launch automatically the installer.

 
 If you are updating a same major version (1.8.0 to 1.8.1) you need to use
 Upgrade Database.
 
 If you are using a different major version detailed in options, you need
 to use the specific Migrations.
 
 If in some steps TestLink ask you for two databases, NEVER NEVER use same name from both.
 
 If you do not find nothing useful, post in forum
   
 Always before login, after an upgrade/migration clear browser cookies.

-----------------------------------------------------------------------------
(0003947)
fman (administrator)
2008-08-07 22:18

user can access readme file when do install

- Issue History
Date Modified Username Field Change
2008-01-12 19:23 Mochizuki New Issue
2008-01-13 23:22 fman Note Added: 0002929
2008-08-07 05:24 mhavlat Status new => assigned
2008-08-07 05:24 mhavlat Assigned To => mhavlat
2008-08-07 21:46 mhavlat Note Added: 0003945
2008-08-07 22:17 fman Note Added: 0003946
2008-08-07 22:18 fman Status assigned => resolved
2008-08-07 22:18 fman Fixed in Version => 1.8 Beta 2
2008-08-07 22:18 fman Resolution open => fixed
2008-08-07 22:18 fman Note Added: 0003947
2008-11-07 19:45 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker